Subject: [lojban] Y+NAI is not grammatical; jbofi'e is not always right (was Re: ynai)

From: Jordan DeLong <[email-masked]>
Date: Fri, 18 Apr 2003 17:31:34 -0500

On Fri, Apr 18, 2003 at 06:10:29PM -0400, Craig wrote:
> >> >{mi viska le bloti y nai} is grammatical according to jbofi'e, but {mi
> >> viska
> >> >le bloti nai} is not. Is it correct?
> >>
> >> The nai bonds to the y. NAI never bond to a word other than the
> immediately
> >> preceeding one. Thus, mi viska le bloti ynai means "I see the boat (and I
> >> don't hesitate to say so)" whereas mi viska le bloti nai is ungramatical.
> I
> >> have been unable to find Y being negated in this way in any real use,
> >> however.
> 
> >That's icky. Saying "uh" should not change the grammar of the sentence.
> >It should be pre-parsed out like word+SI.
> 
> The ickiness of ynai is probably responsible for its complete lack of use.
> As NAI shepherd on the BPFK, I have looked for that particular compound
> before, and it does not seem to exist. Aside from being in the grammar (at
> least jbofi'e thinks so; I can't read BNF), there is nothing in the baseline
> at present telling us that ynai should be grammatical. My interpretation
> that the nai bonds to the y is based on the fact that in every single other
> use, nai bonds to the word right before it.

Looking at the BNF, it doesn't look like it should be grammatical:

indicator:	(UI | CAI) [NAI] | Y | DAhO | FUhO

and the informal rules

word:	[BAhE] any-word [indicators]
any-word	: "any single word (no compound cmavo)"

are the relevant parts. The Y rule doesn't support NAI, so I think
the author of jbofi'e probably cheated and implemented Y as a UI
for easiness.

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku